## glcolorbalance glcolorbalance |

## Properties

gdouble | brightness | Read / Write
gdouble | contrast | Read / Write
gdouble | hue | Read / Write
gdouble | saturation | Read / Write

## Types and Values

struct | GstGLColorBalance

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstGLBaseFilter
                            ╰── GstGLFilter
                                ╰── GstGLColorBalance

## Implemented Interfaces

GstGLColorBalance implements GstColorBalance.

## Description

Adjusts brightness, contrast, hue, saturation on a video stream.

### Example launch line

    1
    gst-launch-1.0 videotestsrc ! glupload ! glcolorbalance saturation=0.0 ! glcolorconvert ! gldownload ! ximagesink

This pipeline converts the image to black and white by setting the saturation to 0.0.

## Synopsis

### Element Information

plugin | opengl
author | Matthew Waters <matthew@centricular.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw(ANY), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

name | src
direction | source
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(ANY), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

## Functions

## Types and Values

### struct GstGLColorBalance

    struct GstGLColorBalance;

Opaque data structure.

## Property Details

### The `“brightness”` property

      “brightness”               gdouble

brightness.

Flags: Read / Write

Allowed values: [-1,1]

Default value: 0

### The `“contrast”` property

      “contrast”                 gdouble

contrast.

Flags: Read / Write

Allowed values: [0,2]

Default value: 1

### The `“hue”` property

      “hue”                      gdouble

hue.

Flags: Read / Write

Allowed values: [-1,1]

Default value: 0

### The `“saturation”` property

      “saturation”               gdouble

saturation.

Flags: Read / Write

Allowed values: [0,2]

Default value: 1